Index: modules/uoa-hcm/tags/uoa-hcm-2.0.0/pom.xml
===================================================================
--- modules/uoa-hcm/tags/uoa-hcm-2.0.0/pom.xml	(nonexistent)
+++ modules/uoa-hcm/tags/uoa-hcm-2.0.0/pom.xml	(revision 48497)
@@ -0,0 +1,34 @@
+<?xml version="1.0" ?>
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
+	<parent>
+		<groupId>eu.dnetlib</groupId>
+		<artifactId>dnet45-parent</artifactId>
+		<version>1.0.0</version>
+	</parent>
+	<modelVersion>4.0.0</modelVersion>
+	<groupId>eu.dnetlib</groupId>
+	<artifactId>uoa-hcm</artifactId>
+	<packaging>jar</packaging>
+	<version>2.0.0</version>
+	<scm>
+		<developerConnection>scm:svn:https://svn.driver.research-infrastructures.eu/driver/dnet45/modules/uoa-hcm/tags/uoa-hcm-2.0.0</developerConnection>
+	</scm>
+	<dependencies>
+		<dependency>
+			<groupId>junit</groupId>
+			<artifactId>junit</artifactId>
+			<version>[0.0.0,)</version>
+			<scope>test</scope>
+		</dependency>
+		<dependency>
+			<groupId>eu.dnetlib</groupId>
+			<artifactId>uoa-api</artifactId>
+			<version>[2.0.0, 3.0.0)</version>
+		</dependency>
+		<dependency>
+			<groupId>eu.dnetlib</groupId>
+			<artifactId>uoa-commons</artifactId>
+			<version>[2.0.0, 3.0.0)</version>
+		</dependency>
+	</dependencies>
+</project>
Index: modules/uoa-hcm/tags/uoa-hcm-2.0.0/deploy.info
===================================================================
--- modules/uoa-hcm/tags/uoa-hcm-2.0.0/deploy.info	(nonexistent)
+++ modules/uoa-hcm/tags/uoa-hcm-2.0.0/deploy.info	(revision 48497)
@@ -0,0 +1,10 @@
+{
+  "type_source": "SVN", 
+  "goal": "package -U -T 4C source:jar", 
+  "url": "http://svn-public.driver.research-infrastructures.eu/driver/dnet45/modules/uoa-hcm/trunk", 
+  "deploy_repository": "dnet45-snapshots", 
+  "version": "4", 
+  "mail": "antleb@di.uoa.gr, kiatrop@di.uoa.gr", 
+  "deploy_repository_url": "http://maven.research-infrastructures.eu/nexus/content/repositories/dnet45-snapshots", 
+  "name": "uoa-hcm"
+}
Index: modules/uoa-hcm/tags/uoa-hcm-2.0.0/src/main/resources/eu/dnetlib/enabling/hcm/springContext-hcmService.xml
===================================================================
--- modules/uoa-hcm/tags/uoa-hcm-2.0.0/src/main/resources/eu/dnetlib/enabling/hcm/springContext-hcmService.xml	(nonexistent)
+++ modules/uoa-hcm/tags/uoa-hcm-2.0.0/src/main/resources/eu/dnetlib/enabling/hcm/springContext-hcmService.xml	(revision 48497)
@@ -0,0 +1,55 @@
+<?xml version="1.0" encoding="UTF-8"?>
+
+<beans xmlns="http://www.springframework.org/schema/beans"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xmlns:context="http://www.springframework.org/schema/context"
+	xmlns:cxf="http://cxf.apache.org/core" 
+	xmlns:jaxws="http://cxf.apache.org/jaxws"
+	xmlns:p="http://www.springframework.org/schema/p"
+	xmlns:template="http://dnetlib.eu/springbeans/template"
+	xmlns:t="http://dnetlib.eu/springbeans/t"
+	
+	xsi:schemaLocation="
+		http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans-4.0.xsd
+        http://www.springframework.org/schema/context http://www.springframework.org/schema/context/spring-context-4.0.xsd
+        http://cxf.apache.org/core http://cxf.apache.org/schemas/core.xsd
+        http://cxf.apache.org/jaxws http://cxf.apache.org/schemas/jaxws.xsd
+		http://dnetlib.eu/springbeans/template http://dnetlib.eu/springbeans/template.xsd"
+	default-autowire="byName">
+
+	<!--  the service bean -->
+	<bean id="hcmService" 
+		class="eu.dnetlib.enabling.hcm.app.HostingContextManagerServiceImpl" 
+		autowire="no">
+		<property name="snManager" ref="snManager" />
+		<property name="serviceIdentity">
+			<bean class="eu.dnetlib.utils.ServiceIdentityFactory" factory-method="createIdentity">
+				<constructor-arg value="${services.hcm.serviceName}" />
+			</bean>
+		</property>
+	</bean>
+
+	<!-- The web service bean -->
+	<bean id="hcmWebServiceImpl"
+		class="eu.dnetlib.clients.enabling.hcm.ws.HostingContextManagerWebServiceImpl">
+		<property name="service" ref="hcmService" />
+	</bean>
+
+	<!-- Service endpoint -->
+	<jaxws:endpoint 
+		id="hcmWebService" 
+		implementor="#hcmWebServiceImpl"
+		implementorClass="eu.dnetlib.clients.enabling.hcm.ws.HostingContextManagerWebService"
+		address="/hcmWebService"/>
+
+	<template:instance name="nkua.serviceRegistrationManager"
+		t:name="hcmServiceRegistrationManager" 
+		t:service="hcmService" 
+		t:endpoint="hcmWebService" />
+
+	<!-- A static service locator. Used to override the dynamic one -->
+	<bean id="hcmServiceLocator"
+		class="gr.uoa.di.driver.util.StaticServiceLocator">
+		<property name="service" ref="hcmService" />
+	</bean>
+</beans>
\ No newline at end of file
Index: modules/uoa-hcm/tags/uoa-hcm-2.0.0/src/main/resources/eu/dnetlib/enabling/hcm/springContext-hcmService.properties
===================================================================
--- modules/uoa-hcm/tags/uoa-hcm-2.0.0/src/main/resources/eu/dnetlib/enabling/hcm/springContext-hcmService.properties	(nonexistent)
+++ modules/uoa-hcm/tags/uoa-hcm-2.0.0/src/main/resources/eu/dnetlib/enabling/hcm/springContext-hcmService.properties	(revision 48497)
@@ -0,0 +1,5 @@
+# identity
+services.hcm.serviceName = uoa-hcm
+
+# registrator
+services.registration.delay = 3600
Index: modules/uoa-hcm/tags/uoa-hcm-2.0.0/src/main/resources/uoa-hcm.properties
===================================================================
--- modules/uoa-hcm/tags/uoa-hcm-2.0.0/src/main/resources/uoa-hcm.properties	(nonexistent)
+++ modules/uoa-hcm/tags/uoa-hcm-2.0.0/src/main/resources/uoa-hcm.properties	(revision 48497)
@@ -0,0 +1,4 @@
+#Generated by ANT
+name=uoa-hcm
+version=0.0.3
+label=
Index: modules/uoa-hcm/tags/uoa-hcm-2.0.0/src/main/java/eu/dnetlib/enabling/hcm/app/HostingContextManagerServiceImpl.java
===================================================================
--- modules/uoa-hcm/tags/uoa-hcm-2.0.0/src/main/java/eu/dnetlib/enabling/hcm/app/HostingContextManagerServiceImpl.java	(nonexistent)
+++ modules/uoa-hcm/tags/uoa-hcm-2.0.0/src/main/java/eu/dnetlib/enabling/hcm/app/HostingContextManagerServiceImpl.java	(revision 48497)
@@ -0,0 +1,9 @@
+package eu.dnetlib.enabling.hcm.app;
+
+import eu.dnetlib.api.enabling.HostingContextManagerService;
+import gr.uoa.di.driver.app.DriverServiceImpl;
+
+public class HostingContextManagerServiceImpl
+		extends DriverServiceImpl implements HostingContextManagerService {
+
+}
\ No newline at end of file
Index: modules/uoa-hcm/tags/uoa-hcm-2.0.0
===================================================================
--- modules/uoa-hcm/tags/uoa-hcm-2.0.0	(nonexistent)
+++ modules/uoa-hcm/tags/uoa-hcm-2.0.0	(revision 48497)

Property changes on: modules/uoa-hcm/tags/uoa-hcm-2.0.0
___________________________________________________________________
Added: svn:ignore
## -0,0 +1,6 ##
+*.iml
+.classpath
+target
+*.iml
+.settings
+.project