Index: webapps/dnet-container-provision/branches/prod/src/main/resources/eu/dnetlib/applicationContext-locators.xml
===================================================================
--- webapps/dnet-container-provision/branches/prod/src/main/resources/eu/dnetlib/applicationContext-locators.xml	(revision 49160)
+++ webapps/dnet-container-provision/branches/prod/src/main/resources/eu/dnetlib/applicationContext-locators.xml	(nonexistent)
@@ -1,37 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<beans xmlns="http://www.springframework.org/schema/beans"
-	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:jaxws="http://cxf.apache.org/jaxws"
-	xmlns:sec="http://cxf.apache.org/configuration/security" xmlns:wsa="http://cxf.apache.org/ws/addressing"
-	xmlns:p="http://www.springframework.org/schema/p" xmlns:http="http://cxf.apache.org/transports/http/configuration"
-	xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd
-                        http://cxf.apache.org/ws/addressing http://cxf.apache.org/schemas/ws-addr-conf.xsd
-                        http://cxf.apache.org/configuration/security http://cxf.apache.org/schemas/configuration/security.xsd
-                        http://cxf.apache.org/transports/http/configuration http://cxf.apache.org/schemas/configuration/http-conf.xsd
-                        http://cxf.apache.org/jaxws http://cxf.apache.org/schemas/jaxws.xsd">
-
-	<!-- common service resolution chain -->
-	<bean id="serviceResolver" class="eu.dnetlib.enabling.tools.ServiceResolverChain">
-		<property name="resolvers">
-			<list>
-				<bean id="jaxwsServiceResolver" class="eu.dnetlib.enabling.tools.JaxwsServiceResolverImpl" />
-			</list>
-		</property>
-	</bean>
-
-	<bean id="jobScheduler"
-		class="org.springframework.scheduling.quartz.SchedulerFactoryBean"
-		destroy-method="destroy">
-		<property name="jobFactory">
-			<bean id="jobSchedulerFactory"
-				class="org.springframework.scheduling.quartz.SpringBeanJobFactory" />
-		</property>
-	</bean>
-
-	<jaxws:client id="isLookUpService"
-		serviceClass="eu.dnetlib.enabling.is.lookup.rmi.ISLookUpService"
-		address="${services.is.lookup.url}" />
-
-	<bean id="uuidGenerator" class="eu.dnetlib.enabling.tools.UniqueIdentifierGeneratorImpl" />
-
-	<alias name="cxfEndpointReferenceBuilder" alias="eprBuilder" />
-</beans>
\ No newline at end of file
Index: webapps/dnet-container-provision/branches/prod/src/main/resources/eu/dnetlib/cnr-site.properties
===================================================================
--- webapps/dnet-container-provision/branches/prod/src/main/resources/eu/dnetlib/cnr-site.properties	(revision 49160)
+++ webapps/dnet-container-provision/branches/prod/src/main/resources/eu/dnetlib/cnr-site.properties	(nonexistent)
@@ -1,40 +0,0 @@
-container.hostname = localhost
-container.port = 8980
-container.context = dnet
-services.registration.delay = 30000
-
-services.is.host=localhost
-services.is.port=8280
-services.is.baseurl=http://${services.is.host}:${services.is.port}/is/services
-
-services.is.lookup.url=${services.is.baseurl}/isLookUp
-
-service.index.solr.default.interpretation=openaire
-
-transport.soap.force.local.address=true
-
-service.solr.index.jsonConfiguration= \
-        {"id":"solr",\
-        "address":"index1.t.hadoop.research-infrastructures.eu:9983,index2.t.hadoop.research-infrastructures.eu:9983,index3.t.hadoop.research-infrastructures.eu:9983",\
-        "port":"8983",\
-        "webContext":"solr",\
-        "numShards":"1",\
-        "replicationFactor":"3",\
-        "host":"index1.t.hadoop.research-infrastructures.eu",\
-        "feedingShutdownTolerance":"30000",\
-        "feedingBufferFlushThreshold":"1000",\
-        "feedingSimulationMode":"false",\
-        "luceneMatchVersion":"4.9",\
-        "serverLibPath":"../../../../contrib/extraction/lib",\
-        "filterCacheSize":"512","filterCacheInitialSize":"512",\
-        "queryCacheSize":"512","queryCacheInitialSize":"512",\
-        "documentCacheSize":"512","documentCacheInitialSize":"512",\
-        "ramBufferSizeMB":"960","mergeFactor":"40",\
-        "autosoftcommit":"-1","autocommit":"15000",\
-        "termIndexInterval":"1024","maxIndexingThreads":"8",\
-        "queryResultWindowSize":"20","queryResultMaxDocCached":"200"}
-        
-services.publisher.oai.host=localhost
-services.publisher.oai.port=27017
-
-dnet.openaire.db.name = dnet_openaireplus_node6_t
\ No newline at end of file
Index: webapps/dnet-container-provision/branches/prod/src/main/resources/eu/dnetlib/applicationContext-ehcache.xml
===================================================================
--- webapps/dnet-container-provision/branches/prod/src/main/resources/eu/dnetlib/applicationContext-ehcache.xml	(revision 49160)
+++ webapps/dnet-container-provision/branches/prod/src/main/resources/eu/dnetlib/applicationContext-ehcache.xml	(nonexistent)
@@ -1,27 +0,0 @@
-<beans xmlns="http://www.springframework.org/schema/beans"
-	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:p="http://www.springframework.org/schema/p"
-	xmlns:util="http://www.springframework.org/schema/util" xmlns:cache="http://www.springframework.org/schema/cache"
-	xmlns:jaxws="http://cxf.apache.org/jaxws" xmlns:template="http://dnetlib.eu/springbeans/template"
-	xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd
-                        http://www.springframework.org/schema/util http://www.springframework.org/schema/util/spring-util.xsd
-	http://www.springframework.org/schema/cache http://www.springframework.org/schema/cache/spring-cache.xsd
-	http://cxf.apache.org/jaxws http://cxf.apache.org/schemas/jaxws.xsd">
-
-	<!-- THIS FILE MUST CONTAIN THE CACHEMANAGER DECALRES IN DEPENDENCY MODULES 
-		THAT MUST BE USED BY THE CONTAINER BECAUSE WE CANNOT HAVE MULTIPLE <cache:annotation-driven> 
-		IN DIFFERENT MODULES. -->
-		
-		<cache:annotation-driven cache-manager="provisionCacheManager" />
-		
-		<!-- ADD TO THE ARRAY OF CACHE MANAGERS THE CACHE MANAGER DEFINED IN MODULES" APPLICATION CONTEXTS -->
-		<bean id="provisionCacheManager" class="org.springframework.cache.support.CompositeCacheManager">
-    		<property name="cacheManagers">
-        		<array>
-            		<ref bean="vocabularyCacheManager" />
-           	 		<ref bean="theOAICacheManager" />
-           	 		<ref bean="oaiUtilsCacheManager" />
-        		</array>
-    		</property>
-    		<property name="fallbackToNoOpCache" value="true" />
-		</bean>
-</beans>
\ No newline at end of file
Index: webapps/dnet-container-provision/branches/prod/src/main/resources/log4j.properties
===================================================================
--- webapps/dnet-container-provision/branches/prod/src/main/resources/log4j.properties	(revision 49160)
+++ webapps/dnet-container-provision/branches/prod/src/main/resources/log4j.properties	(nonexistent)
@@ -1,29 +0,0 @@
-### Root Level ###
-log4j.rootLogger=WARN, LOGFILE
-
-### Configuration for the LOGFILE appender ###
-log4j.appender.LOGFILE=org.apache.log4j.RollingFileAppender
-log4j.appender.LOGFILE.MaxFileSize=25MB
-log4j.appender.LOGFILE.MaxBackupIndex=10
-log4j.appender.LOGFILE.File=logs/provision/dnet.log
-log4j.appender.LOGFILE.Append=true
-log4j.appender.LOGFILE.layout=org.apache.log4j.PatternLayout
-log4j.appender.LOGFILE.layout.ConversionPattern=[%-5p] %d %c - %m%n
-
-org.apache.cxf.Logger=org.apache.cxf.common.logging.Log4jLogger
-
-### Application Level ###
-log4j.logger.eu.dnetlib=INFO
-log4j.logger.org.apache.cxf.interceptor=FATAL
-log4j.logger.org.apache.cxf.ws.addressing.ContextUtils=FATAL
-log4j.logger.eu.dnetlib.xml.database.LoggingTrigger=WARN
-log4j.logger.eu.dnetlib.enabling.inspector=FATAL
-log4j.logger.eu.dnetlib.springutils.stringtemplate.StringTemplateViewResolver=FATAL             
-log4j.logger.eu.dnetlib.enabling.is.sn.SynchronousNotificationSenderImpl=WARN
-log4j.logger.eu.dnetlib.enabling.tools.LocalServiceResolverImpl=WARN
-log4j.logger.eu.dnetlib.enabling.is.sn.NotificationInvokerImpl=WARN
-log4j.logger.org.apache.xerces.parsers.SAXParser=OFF
-log4j.logger.eu.dnetlib.conf.PropertyFetcher=WARN
-
-### Spring ###
-log4j.logger.org.springframework=WARN
Index: webapps/dnet-container-provision/branches/prod/src/main/resources/META-INF/cxf/org.apache.cxf.Logger
===================================================================
--- webapps/dnet-container-provision/branches/prod/src/main/resources/META-INF/cxf/org.apache.cxf.Logger	(revision 49160)
+++ webapps/dnet-container-provision/branches/prod/src/main/resources/META-INF/cxf/org.apache.cxf.Logger	(nonexistent)
@@ -1 +0,0 @@
-org.apache.cxf.common.logging.Log4jLogger
Index: webapps/dnet-container-provision/branches/prod/src/main/webapp/WEB-INF/applicationContext.xml
===================================================================
--- webapps/dnet-container-provision/branches/prod/src/main/webapp/WEB-INF/applicationContext.xml	(revision 49160)
+++ webapps/dnet-container-provision/branches/prod/src/main/webapp/WEB-INF/applicationContext.xml	(nonexistent)
@@ -1,23 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-
-<beans xmlns="http://www.springframework.org/schema/beans"
-	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:p="http://www.springframework.org/schema/p"
-	xmlns:context="http://www.springframework.org/schema/context"
-	xmlns:cxf="http://cxf.apache.org/core"
-	xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans-2.0.xsd
-	http://www.springframework.org/schema/context
-           http://www.springframework.org/schema/context/spring-context-2.5.xsd
-           http://cxf.apache.org/core http://cxf.apache.org/schemas/core.xsd">
-
-	<import resource="classpath:META-INF/cxf/cxf.xml" />
-	<import resource="classpath:META-INF/cxf/cxf-extension-jaxws.xml" />
-	<import resource="classpath:META-INF/cxf/cxf-servlet.xml" />
-
-	<import resource="classpath*:/eu/dnetlib/**/applicationContext*.xml" />
-
-	<context:annotation-config />
-	<!-- if the following import is not the last one, something overrides bus 
-		configuration disabling logging and any other customized feature. -->
-	<import resource="./cxf.xml" />
-
-</beans>
\ No newline at end of file
Index: webapps/dnet-container-provision/branches/prod/src/main/webapp/WEB-INF/dispatcher-servlet.xml
===================================================================
--- webapps/dnet-container-provision/branches/prod/src/main/webapp/WEB-INF/dispatcher-servlet.xml	(revision 49160)
+++ webapps/dnet-container-provision/branches/prod/src/main/webapp/WEB-INF/dispatcher-servlet.xml	(nonexistent)
@@ -1,27 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<beans xmlns="http://www.springframework.org/schema/beans"
-	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:p="http://www.springframework.org/schema/p"
-	xmlns:context="http://www.springframework.org/schema/context"
-	xmlns:mvc="http://www.springframework.org/schema/mvc"
-	xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd
-		http://www.springframework.org/schema/context
-        http://www.springframework.org/schema/context/spring-context.xsd
-        http://www.springframework.org/schema/mvc
-        http://www.springframework.org/schema/mvc/spring-mvc.xsd">
-
-	<mvc:annotation-driven />
-
-	<context:component-scan base-package="eu.dnetlib">
-
-	</context:component-scan>
-
-	<import resource="classpath*:/eu/dnetlib/**/webContext*.xml" />
-
-	<bean id="beanHandlerMapping" p:order="1"
-		class="org.springframework.web.servlet.handler.BeanNameUrlHandlerMapping" />
-	
-	<bean class="org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter" />
-	
-	<mvc:resources mapping="/resources/**" location="classpath:/eu/dnetlib/web/resources/" />
-
-</beans>
Index: webapps/dnet-container-provision/branches/prod/src/main/webapp/WEB-INF/web.xml
===================================================================
--- webapps/dnet-container-provision/branches/prod/src/main/webapp/WEB-INF/web.xml	(revision 49160)
+++ webapps/dnet-container-provision/branches/prod/src/main/webapp/WEB-INF/web.xml	(nonexistent)
@@ -1,40 +0,0 @@
-<web-app xmlns="http://java.sun.com/xml/ns/javaee" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
-	xsi:schemaLocation="http://java.sun.com/xml/ns/javaee http://java.sun.com/xml/ns/javaee/web-app_3_0.xsd"
-	version="3.0">
-	<display-name>DNet-2.0 container web app</display-name>
-	<context-param>
-		<param-name>contextConfigLocation</param-name>
-		<param-value>/WEB-INF/applicationContext.xml</param-value>
-	</context-param>
-	<filter>
-		<filter-name>springSecurityFilterChain</filter-name>
-		<filter-class>org.springframework.web.filter.DelegatingFilterProxy</filter-class>
-	</filter>
-
-	<filter-mapping>
-		<filter-name>springSecurityFilterChain</filter-name>
-		<url-pattern>/*</url-pattern>
-	</filter-mapping>
-
-	<listener>
-		<listener-class> org.springframework.web.context.ContextLoaderListener</listener-class>
-	</listener>
-	<servlet>
-		<servlet-name>CXFServlet</servlet-name>
-		<servlet-class>org.apache.cxf.transport.servlet.CXFServlet</servlet-class>
-		<load-on-startup>1</load-on-startup>
-	</servlet>
-	<servlet>
-		<servlet-name>dispatcher</servlet-name>
-		<servlet-class>org.springframework.web.servlet.DispatcherServlet</servlet-class>
-		<load-on-startup>1</load-on-startup>
-	</servlet>
-	<servlet-mapping>
-		<servlet-name>dispatcher</servlet-name>
-		<url-pattern>/mvc/*</url-pattern>
-	</servlet-mapping>
-	<servlet-mapping>
-		<servlet-name>CXFServlet</servlet-name>
-		<url-pattern>/services/*</url-pattern>
-	</servlet-mapping>
-</web-app>
\ No newline at end of file
Index: webapps/dnet-container-provision/branches/prod/src/main/webapp/WEB-INF/cxf.xml
===================================================================
--- webapps/dnet-container-provision/branches/prod/src/main/webapp/WEB-INF/cxf.xml	(revision 49160)
+++ webapps/dnet-container-provision/branches/prod/src/main/webapp/WEB-INF/cxf.xml	(nonexistent)
@@ -1,30 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<beans xmlns="http://www.springframework.org/schema/beans"
-	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:cxf="http://cxf.apache.org/core"
-	xmlns:http="http://cxf.apache.org/transports/http/configuration"
-	xmlns:wsa="http://cxf.apache.org/ws/addressing" xmlns:p="http://www.springframework.org/schema/p"
-	xmlns:pol="http://cxf.apache.org/policy" xmlns:condbean="http://dnetlib.eu/springbeans/condbean"
-	xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd
-			http://cxf.apache.org/ws/addressing http://cxf.apache.org/schemas/ws-addr-conf.xsd
-			http://cxf.apache.org/transports/http/configuration http://cxf.apache.org/schemas/configuration/http-conf.xsd
-			http://cxf.apache.org/policy http://cxf.apache.org/schemas/policy.xsd
-			http://cxf.apache.org/core http://cxf.apache.org/schemas/core.xsd
-			http://dnetlib.eu/springbeans/condbean http://dnetlib.eu/springbeans/condbean.xsd">
-
-<!-- CXF bus with logging. Please set the log level of org.apache.cxf.interceptor to FATAL to hide the logging of EVERY incoming and outgoing messages. -->
-	<cxf:bus>
-		<cxf:outInterceptors>
-			<ref bean="outCxfLoggingInterceptor" />
-		</cxf:outInterceptors>
-		<cxf:inInterceptors>
-			<ref bean="inCxfLoggingInterceptor" />
-		</cxf:inInterceptors>
-	</cxf:bus>
-
-	<bean id="outCxfLoggingInterceptor" class="org.apache.cxf.interceptor.LoggingOutInterceptor" />
-	<bean id="inCxfLoggingInterceptor" class="org.apache.cxf.interceptor.LoggingInInterceptor" />
-
-	<http:conduit name="*.http-conduit">
-		<http:client AllowChunking="true" Connection="Keep-Alive" />
-	</http:conduit>
-</beans>
Index: webapps/dnet-container-provision/branches/prod/src/main/webapp/index.html
===================================================================
--- webapps/dnet-container-provision/branches/prod/src/main/webapp/index.html	(revision 49160)
+++ webapps/dnet-container-provision/branches/prod/src/main/webapp/index.html	(nonexistent)
@@ -1 +0,0 @@
-if this container runs the IS, you can access the web interface <a href="mvc/inspector">here</a>
Index: webapps/dnet-container-provision/branches/prod/pom.xml
===================================================================
--- webapps/dnet-container-provision/branches/prod/pom.xml	(revision 49160)
+++ webapps/dnet-container-provision/branches/prod/pom.xml	(nonexistent)
@@ -1,99 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
-	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
-	<parent>
-		<groupId>eu.dnetlib</groupId>
-		<artifactId>dnet-container-parent</artifactId>
-		<version>1.0.0</version>
-		<relativePath></relativePath>
-	</parent>
-	<modelVersion>4.0.0</modelVersion>
-	<groupId>eu.dnetlib</groupId>
-	<artifactId>dnet-container-provision</artifactId>
-	<packaging>war</packaging>
-	<version>2.0.0-PROD-SNAPSHOT</version>
-	<dependencies>
-
-		<!-- Common components in every container -->
-		<dependency>
-			<groupId>eu.dnetlib</groupId>
-			<artifactId>cnr-log4j-inspector</artifactId>
-			<version>[1.0.0,2.0.0)</version>
-		</dependency>
-
-		<!-- Common services in every container -->
-		<dependency>
-			<groupId>eu.dnetlib</groupId>
-			<artifactId>cnr-enabling-hnm-service</artifactId>
-			<version>[2.0.0,3.0.0)</version>
-		</dependency>
-		<dependency>
-			<groupId>eu.dnetlib</groupId>
-			<artifactId>cnr-enabling-hcm-service</artifactId>
-			<version>[2.0.0,3.0.0)</version>
-		</dependency>
-
-		<dependency>
-			<groupId>eu.dnetlib</groupId>
-			<artifactId>cnr-resultset-service</artifactId>
-			<version>[2.0.0,3.0.0)</version>
-		</dependency>
-		<dependency>
-			<groupId>eu.dnetlib</groupId>
-			<artifactId>cnr-resultset-inspector</artifactId>
-			<version>[2.0.0,3.0.0)</version>
-		</dependency>
-
-		<!-- Vocabulary REST publisher -->
-		<dependency>
-			<groupId>eu.dnetlib</groupId>
-			<artifactId>dnet-vocabulary-publisher</artifactId>
-			<version>[2.1.0,3.0.0)</version>
-		</dependency>
-
-		<!-- OAI publisher service -->
-		<dependency>
-			<groupId>eu.dnetlib</groupId>
-			<artifactId>cnr-data-information-oai-publisher</artifactId>
-			<version>[6.0.0,7.0.0)</version>
-		</dependency>
-
-		<!-- Inspector security -->
-		<dependency>
-			<groupId>eu.dnetlib</groupId>
-			<artifactId>cnr-inspector-security</artifactId>
-			<version>[1.0.0,2.0.0)</version>
-		</dependency>
-		<dependency>
-			<groupId>eu.dnetlib</groupId>
-			<artifactId>dnet-webapp-monitoring</artifactId>
-			<version>[1.0.0,2.0.0)</version>
-		</dependency>
-
-		<dependency>
-			<groupId>xerces</groupId>
-			<artifactId>xercesImpl</artifactId>
-			<version>2.11.0</version>
-			<scope>compile</scope>
-		</dependency>
-
-		<!-- Index service -->
-		<dependency>
-			<groupId>eu.dnetlib</groupId>
-			<artifactId>dnet-index-solr-service</artifactId>
-			<version>[2.4.3-OR]</version>
-		</dependency>
-
-		<dependency>
-			<groupId>eu.dnetlib</groupId>
-			<artifactId>cnr-openaire-exporter</artifactId>
-			<version>[6.0.0,7.0.0)</version>
-		</dependency>
-
-
-	</dependencies>
-	<properties>
-		<dnet.container.context>provision</dnet.container.context>
-		<dnet.container.port>8980</dnet.container.port>
-	</properties>
-</project>
Index: webapps/dnet-container-provision/branches/prod
===================================================================
--- webapps/dnet-container-provision/branches/prod	(revision 49160)
+++ webapps/dnet-container-provision/branches/prod	(nonexistent)

Property changes on: webapps/dnet-container-provision/branches/prod
___________________________________________________________________
Deleted: svn:ignore
## -1,9 +0,0 ##
-.classpath
-target
-.project
-.settings
-.checkstyle
-.springBeans
-logs
-integration.xml
-*.iml