Index: modules/dnet-functionality-services/trunk/src/main/webapp/WEB-INF/applicationContext.xml
===================================================================
--- modules/dnet-functionality-services/trunk/src/main/webapp/WEB-INF/applicationContext.xml	(revision 49194)
+++ modules/dnet-functionality-services/trunk/src/main/webapp/WEB-INF/applicationContext.xml	(revision 49195)
@@ -23,8 +23,6 @@
 	<import resource="classpath*:/eu/dnetlib/data/search/springContext-transformation.xml" />
 	<import resource="classpath*:/eu/dnetlib/data/search/springContext-searchService.xml" />
 
-	<!--<import resource="classpath*:/eu/dnetlib/data/statsmanager/springContext-statsManager.xml" />-->
-
 	<bean class="org.springframework.beans.factory.config.PropertyPlaceholderConfigurer">
 		<property name="order" value="2" />
 		<property name="ignoreUnresolvablePlaceholders" value="true" />
Index: modules/dnet-functionality-services/trunk/pom.xml
===================================================================
--- modules/dnet-functionality-services/trunk/pom.xml	(revision 49194)
+++ modules/dnet-functionality-services/trunk/pom.xml	(revision 49195)
@@ -33,7 +33,7 @@
 		<dependency>
 			<groupId>eu.dnetlib</groupId>
 			<artifactId>uoa-hcm</artifactId>
-			<version>[1.1.0, 2.0.0)</version>
+			<version>[2.0.0, 3.0.0)</version>
 		</dependency>
 		<dependency>
 			<groupId>eu.dnetlib</groupId>
Index: modules/dnet-functionality-services/branches/beta/src/main/webapp/WEB-INF/applicationContext.xml
===================================================================
--- modules/dnet-functionality-services/branches/beta/src/main/webapp/WEB-INF/applicationContext.xml	(revision 49194)
+++ modules/dnet-functionality-services/branches/beta/src/main/webapp/WEB-INF/applicationContext.xml	(revision 49195)
@@ -55,5 +55,6 @@
 	</bean>
 
 	<context:annotation-config />
+	<context:component-scan base-package="eu.dnetlib.data.search.web.api" />
 	<import resource="./cxf.xml" />
 </beans>
Index: modules/dnet-functionality-services/branches/beta/src/main/webapp/WEB-INF/log4j.properties
===================================================================
--- modules/dnet-functionality-services/branches/beta/src/main/webapp/WEB-INF/log4j.properties	(revision 49194)
+++ modules/dnet-functionality-services/branches/beta/src/main/webapp/WEB-INF/log4j.properties	(revision 49195)
@@ -4,11 +4,10 @@
 log4j.logger.gr.uoa.di.driver = INFO
 log4j.logger.org.springframework = INFO, S
 
-
 log4j.additivity.org.springframework = false
 
 log4j.appender.R=org.apache.log4j.RollingFileAppender
-log4j.appender.R.File=/var/log/dnet/search/search-8480.log
+log4j.appender.R.File=/var/log/dnet/search/search.log
 log4j.appender.R.MaxFileSize=100MB
 log4j.appender.R.MaxBackupIndex=10
 log4j.appender.R.layout=org.apache.log4j.PatternLayout
@@ -15,7 +14,7 @@
 log4j.appender.R.layout.ConversionPattern= %d %p %t [%c] - %m%n
 
 log4j.appender.S=org.apache.log4j.RollingFileAppender
-log4j.appender.S.File=/var/log/dnet/search/search-8480-spring.log
+log4j.appender.S.File=/var/log/dnet/search/search-spring.log
 log4j.appender.S.MaxFileSize=10MB
 log4j.appender.S.MaxBackupIndex=10
 log4j.appender.S.layout=org.apache.log4j.PatternLayout
Index: modules/dnet-functionality-services/branches/beta/src/main/webapp/WEB-INF/web.xml
===================================================================
--- modules/dnet-functionality-services/branches/beta/src/main/webapp/WEB-INF/web.xml	(revision 49194)
+++ modules/dnet-functionality-services/branches/beta/src/main/webapp/WEB-INF/web.xml	(revision 49195)
@@ -45,7 +45,46 @@
 		<url-pattern>/</url-pattern>
 	</servlet-mapping>
 	
+	<servlet>
+		<servlet-name>jersey-serlvet</servlet-name>
+		<servlet-class>com.sun.jersey.spi.spring.container.servlet.SpringServlet</servlet-class>
+		<init-param>
+			<param-name>com.sun.jersey.config.property.packages</param-name>
+			<param-value>eu.dnetlib.data.search.web.api</param-value>
+		</init-param>
+		<load-on-startup>1</load-on-startup>
+	</servlet>
+	<servlet-mapping>
+		<servlet-name>jersey-serlvet</servlet-name>
+		<url-pattern>/rest/*</url-pattern>
+	</servlet-mapping>
+
 	<filter>
+		<filter-name>CorsFilter</filter-name>
+		<filter-class>org.apache.catalina.filters.CorsFilter</filter-class>
+		<init-param>
+			<param-name>cors.allowed.origins</param-name>
+			<param-value>*</param-value>
+		</init-param>
+		<init-param>
+			<param-name>cors.allowed.methods</param-name>
+			<param-value>GET,POST,HEAD,OPTIONS,DELETE</param-value>
+		</init-param>
+		<init-param>
+			<param-name>cors.exposed.headers</param-name>
+			<param-value>Access-Control-Allow-Origin,Access-Control-Allow-Credentials,Access-Control-Allow-Methods</param-value>
+		</init-param>
+		<init-param>
+			<param-name>cors.support.credentials</param-name>
+			<param-value>true</param-value>
+		</init-param>
+	</filter>
+
+	<filter-mapping>
+		<filter-name>CorsFilter</filter-name>
+		<url-pattern>/*</url-pattern>
+	</filter-mapping>
+	<filter>
                 <filter-name>encodingFilter</filter-name>
                 <filter-class>org.springframework.web.filter.CharacterEncodingFilter</filter-class>
                 <init-param>
Index: modules/dnet-functionality-services/branches/beta/pom.xml
===================================================================
--- modules/dnet-functionality-services/branches/beta/pom.xml	(revision 49194)
+++ modules/dnet-functionality-services/branches/beta/pom.xml	(revision 49195)
@@ -2,8 +2,8 @@
 <project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
 	<parent>
 		<groupId>eu.dnetlib</groupId>
-		<artifactId>dnet-container-parent</artifactId>
-		<version>1.0.0</version>
+		<artifactId>dnet45-container-parent</artifactId>
+		<version>1.0.0-SNAPSHOT</version>
 	</parent>
 	<modelVersion>4.0.0</modelVersion>
 	<groupId>eu.dnetlib</groupId>
@@ -11,52 +11,43 @@
 	<packaging>war</packaging>
 	<version>2.0.0-SNAPSHOT</version>
   	<scm>
-                <developerConnection>scm:svn:https://svn.driver.research-infrastructures.eu/driver/dnet40/modules/dnet-functionality-services/trunk</developerConnection>
+                <developerConnection>scm:svn:https://svn.driver.research-infrastructures.eu/driver/dnet45/modules/dnet-functionality-services/branches/beta</developerConnection>
         </scm>
 	<dependencies>
 		<dependency>
 			<groupId>eu.dnetlib</groupId>
 			<artifactId>uoa-search</artifactId>
-			<version>[2.0.0-SNAPSHOT,)</version>
-			<exclusions> <!-- already included in tomcat7 -->
-				<exclusion>
-					<groupId>javax.servlet</groupId>
-					<artifactId>javax.servlet-api</artifactId>
-				</exclusion>
-				<exclusion>
-					<groupId>eu.dnetlib</groupId>
-					<artifactId>cnr-service-common</artifactId>
-				</exclusion>
-			</exclusions>
+			<version>[3.0.0, 4.0.0)</version>
 		</dependency>
 		<dependency>
 			<groupId>eu.dnetlib</groupId>
 			<artifactId>uoa-clients</artifactId>
-			<version>[1.1.0, 1.3.0-SNAPSHOT)</version>
+			<version>[2.0.0, 3.0.0)</version>
 			<exclusions>
 				<exclusion>
 					<groupId>cglib</groupId>
 					<artifactId>cglib</artifactId>
 				</exclusion>
-				<exclusion>
+			<!--	<exclusion>
 					<groupId>eu.dnetlib</groupId>
 					<artifactId>cnr-cql-utils</artifactId>
-                </exclusion>
+		                </exclusion>
 				<exclusion>
 					<groupId>eu.dnetlib</groupId>
 					<artifactId>cnr-service-common</artifactId>
 				</exclusion>
+			-->
 			</exclusions>
 		</dependency>
 		<dependency>
 			<groupId>eu.dnetlib</groupId>
 			<artifactId>uoa-hcm</artifactId>
-			<version>[1.1.0, 1.3.0-SNAPSHOT)</version>
+			<version>[2.0.0, 3.0.0)</version>
 		</dependency>
 		<dependency>
 			<groupId>eu.dnetlib</groupId>
 			<artifactId>dnet-runtime</artifactId>
-			<version>[1.0.0]</version>
+			<version>[1.0.0,2.0.0)</version>
 		</dependency>
 		<dependency>
 			<groupId>cglib</groupId>
@@ -87,8 +78,21 @@
 		<dependency>
 			<groupId>eu.dnetlib</groupId>
 			<artifactId>cnr-service-common</artifactId>
-			<version>1.0.0-hotfix</version>
+			<version>[2.1.6, 3.0.0)</version>
+			<exclusions>
+				<exclusion>
+					<groupId>xml-apis</groupId>
+					<artifactId>xml-apis</artifactId>
+				</exclusion>
+			</exclusions>
 		</dependency>
+
+		<!-- https://mvnrepository.com/artifact/xml-apis/xml-apis -->
+		<dependency>
+			<groupId>xml-apis</groupId>
+			<artifactId>xml-apis</artifactId>
+			<version>1.4.01</version>
+		</dependency>
 	</dependencies>
 
 </project>