Index: modules/dnet-openaire-users/trunk/src/main/webapp/verifyEmail.jsp
===================================================================
--- modules/dnet-openaire-users/trunk/src/main/webapp/verifyEmail.jsp	(nonexistent)
+++ modules/dnet-openaire-users/trunk/src/main/webapp/verifyEmail.jsp	(revision 49601)
@@ -0,0 +1,127 @@
+<%--
+  Created by IntelliJ IDEA.
+  User: sofia
+  Date: 20/10/2017
+  Time: 3:43 μμ
+  To change this template use File | Settings | File Templates.
+--%>
+<%@ page contentType="text/html;charset=UTF-8" language="java" %>
+<!DOCTYPE html>
+<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
+<html lang="en-gb" dir="ltr" vocab="http://schema.org/">
+<head>
+    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
+    <meta http-equiv="X-UA-Compatible" content="IE=edge">
+    <meta name="viewport" content="width=device-width, initial-scale=1">
+    <base href=".">
+    <title>OpenAIRE - Forgot password, verification code</title>
+    <script src="./js/jquery.js"></script>
+    <script src="./js/uikit.js"></script>
+    <script src="./js/validation.js"></script>
+    <link rel="stylesheet" style="text/css" href="./css/theme.css">
+    <link rel="stylesheet" style="text/css" href="./css/custom.css">
+    <link rel="stylesheet" style="text/css" href="./css/aai-custom.css">
+</head>
+<body class="" style="">
+<div class="uk-offcanvas-content uk-height-viewport">
+    <!-- MENU STARTS HERE -->
+    <!-- MAIN MENU STARTS HERE -->
+    <div class="tm-header  tm-header-transparent" uk-header="">
+        <div class="uk-container uk-container-expand">
+            <nav class="uk-navbar" uk-navbar="{&quot;align&quot;:&quot;left&quot;}">
+                <div class="uk-navbar-center">
+                    <div class="uk-logo uk-navbar-item">
+                        <img alt="OpenAIRE" class="uk-responsive-height" src="./images/Logo_Horizontal.png">
+                    </div>
+                </div>
+            </nav>
+        </div>
+    </div>
+    <!-- MENU ENDS HERE -->
+    <!-- CONTENT STARTS HERE -->
+    <div class="first_page_section uk-section-default uk-section uk-padding-remove-vertical">
+        <div class="first_page_banner_headline uk-grid-collapse uk-flex-middle uk-margin-remove-vertical uk-grid" uk-grid="">
+        </div>
+    </div>
+    <div class=" uk-section  uk-margin-small-top tm-middle custom-main-content" id="tm-main">
+        <div class="uk-container uk-container-small uk-margin-medium-top  uk-margin-small-bottom uk-text-center">
+            <div uk-grid="" class="uk-grid uk-grid-stack">
+                <div class="tm-main uk-width-1-2@s uk-width-1-1@m  uk-width-1-1@l uk-row-first uk-first-column uk-align-center">
+                    <div class="uk-grid ">
+                        <!-- CENTER SIDE -->
+                        <div class="uk-width-1-1@m uk-width-1-1@s uk-text-center">
+                            <div class="middle-box text-center loginscreen animated fadeInDown ">
+                                <p>An email has been sent to your email address. The email contains your username and an activation code, please paste them in the fields below to prove that you are the owner of this email account.</p>
+                                <div class="uk-width-1-3@m uk-align-center">
+                                    <!-- Validate form -->
+                                    <div id="registerForm">
+                                        <form action="verifyCode" method="POST" role="form" class="m-t" id="register_form">
+                                            <input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}"/>
+                                            <div class="alert alert-success" aria-hidden="true" style="display: none;"></div>
+                                            <div class="alert alert-danger" aria-hidden="true" style="display: none;"></div>
+                                            <div class="form-group">
+                                                <span id="server_error" class="uk-text-danger uk-text-small uk-float-left">${message}</span>
+                                                <c:remove var="message" scope="session" />
+                                                <span class="msg_username_error uk-text-danger uk-text-small uk-float-left" style="display:none">Please enter your username.</span>
+                                                <input id="username" name="username" type="text" placeholder="Username" class="form-control"></div>
+                                            <div class="form-group">
+                                                <span class="msg_activation_code_error uk-text-danger uk-text-small uk-float-left" style="display:none">Please enter your activation code.</span>
+                                                <input id="verification_code" name="verification_code" type="text" placeholder="Activation Code" class="form-control"></div>
+                                            <div class="uk-margin uk-grid-small uk-child-width-auto uk-grid uk-text-left uk-grid-stack" uk-grid="">
+                                                <div class="uk-width-1-1 uk-grid-margin uk-first-column">
+                                                    <button type="submit" class="uk-button uk-button-primary" onclick="return validateForm();">Submit</button>
+                                                </div>
+                                            </div>
+                                        </form>
+                                    </div>
+                                    <!-- END OF REGISTER FORM -->
+                                    <script>
+                                        $("#username").focusin(function() {
+                                            $(this).removeClass('aai-form-danger');
+                                            $(".msg_username_error").fadeOut();
+                                            $("#server_error").fadeOut();
+                                        });
+
+                                        $("#verification_code").focusin(function() {
+                                            $(this).removeClass('aai-form-danger');
+                                            $(".msg_verification_code_error").fadeOut();
+                                            $("#server_error").fadeOut();
+                                        });
+                                    </script>
+                                </div>
+                                </ul>
+                            </div>
+                        </div>
+                        <!-- END OF CENTER SIDE -->
+                    </div>
+                </div>
+            </div>
+        </div>
+    </div>
+    <!-- CONTENT ENDS HERE -->
+    <!-- FOOTER STARTS HERE-->
+    <div class="custom-footer"  style="z-index: 200;">
+        <div class="uk-section-primary uk-section uk-section-small">
+            <div class="uk-container">
+                <div class="uk-grid-margin uk-grid uk-grid-stack" uk-grid="">
+                    <div class="uk-width-1-1@m uk-first-column">
+                        <div class="uk-margin uk-margin-remove-top uk-margin-remove-bottom uk-text-center">
+                            <img alt="OpenAIRE" class="el-image" src="./images/Logo_Horizontal_white_small.png">
+                        </div>
+                        <div class="footer-license uk-margin uk-margin-remove-bottom uk-text-center uk-text-lead">
+                            <div><a href="http://creativecommons.org/licenses/by/4.0/" target="_blank" rel="license"><img alt="Creative" src="./images/80x15.png" style="height: auto; max-width: 100%; vertical-align: middle;"></a>&nbsp;UNLESS OTHERWISE INDICATED, ALL MATERIALS CREATED BY THE OPENAIRE CONSORTIUM ARE LICENSED UNDER A&nbsp;<a href="http://creativecommons.org/licenses/by/4.0/" rel="license">CREATIVE COMMONS ATTRIBUTION 4.0 INTERNATIONAL LICENSE</a>.</div>
+                            <div>OPENAIRE IS POWERED BY&nbsp;<a href="http://www.d-net.research-infrastructures.eu/">D-NET</a>.</div>
+                        </div>
+                        <div class="uk-margin uk-margin-remove-top uk-margin-remove-bottom uk-text-right">
+                            <a class="uk-totop uk-icon" href="#" uk-scroll="" uk-totop="">
+                            </a>
+                        </div>
+                    </div>
+                </div>
+            </div>
+        </div>
+    </div>
+    <!-- FOOTER ENDS HERE -->
+</div>
+</body>
+</html>