Index: modules/uoa-repository-manager-service/src/main/java/eu/dnetlib/repo/manager/service/utils/Converter.java
===================================================================
--- modules/uoa-repository-manager-service/src/main/java/eu/dnetlib/repo/manager/service/utils/Converter.java	(revision 49974)
+++ modules/uoa-repository-manager-service/src/main/java/eu/dnetlib/repo/manager/service/utils/Converter.java	(revision 49975)
@@ -126,7 +126,7 @@
 
     public static Double toDouble(String number){
         if(Objects.equals(number, "null"))
-            return null;
+            return 0.0;
         else
             return Double.valueOf(number);
     }
Index: modules/uoa-repository-manager-service/src/main/java/eu/dnetlib/repo/manager/service/controllers/RepositoryApi.java
===================================================================
--- modules/uoa-repository-manager-service/src/main/java/eu/dnetlib/repo/manager/service/controllers/RepositoryApi.java	(revision 49974)
+++ modules/uoa-repository-manager-service/src/main/java/eu/dnetlib/repo/manager/service/controllers/RepositoryApi.java	(revision 49975)
@@ -64,7 +64,7 @@
     @RequestMapping(value = "/addRepository", method = RequestMethod.POST,
             consumes = MediaType.APPLICATION_JSON_VALUE)
     @ResponseBody
-    void addRepository(@RequestBody String params) throws Exception;
+    void addRepository( String params) throws Exception;
 
     @RequestMapping(value = "/deleteInterface", method = RequestMethod.DELETE)
     @ResponseBody
Index: modules/uoa-repository-manager-service/src/main/java/eu/dnetlib/repo/manager/service/controllers/RepositoryApiImpl.java
===================================================================
--- modules/uoa-repository-manager-service/src/main/java/eu/dnetlib/repo/manager/service/controllers/RepositoryApiImpl.java	(revision 49974)
+++ modules/uoa-repository-manager-service/src/main/java/eu/dnetlib/repo/manager/service/controllers/RepositoryApiImpl.java	(revision 49975)
@@ -1,6 +1,8 @@
 package eu.dnetlib.repo.manager.service.controllers;
 
+import com.fasterxml.jackson.databind.DeserializationFeature;
 import com.fasterxml.jackson.databind.ObjectMapper;
+import com.fasterxml.jackson.databind.exc.UnrecognizedPropertyException;
 import eu.dnetlib.domain.enabling.Vocabulary;
 import eu.dnetlib.repo.manager.service.utils.Converter;
 import eu.dnetlib.domain.data.Repository;
@@ -48,9 +50,6 @@
     private Map<String, String> inverseCountriesMap = new HashMap<>();
 
 
-    //String updateQuery = "UPDATE datasources SET englishname = '" + repo.getEnglishName() + "', logourl = '" + repo.getLogoUrl() + "', timezone = '" + repo.getTimezone() + "', registeredby = '" + repo.getRegisteredBy() + "', activationid = '" + repo.getActivationId() + "', contactemail = '" + repo.getContactEmail() + "', datasourceclass = '" + repo.getDatasourceClass() + "' WHERE id = '" + repo.getId() + "'";
-
-
     @PostConstruct
     private void init() {
         LOGGER.debug("Initialization method of repository api!");
@@ -186,12 +185,11 @@
                                                   @PathVariable("page") String page,
                                                   @PathVariable("size") String size) throws JSONException {
 
-        LOGGER.debug("Retreiving repositories of user : " + userEmail + " with params: " + baseAddress + "-" + page + "/" + size);
-        //TODO update with correct method
+        LOGGER.debug("Retreiving repositories of user : " + userEmail );
         UriComponents uriComponents = UriComponentsBuilder
-                .fromHttpUrl(baseAddress + "/ds/search/email/")
+                .fromHttpUrl(baseAddress + "/ds/search/registeredBy/")
                 .path("/{page}/{size}/")
-                .queryParam("contactemail", userEmail)
+                .queryParam("registeredBy", userEmail)
                 .build().expand(page, size).encode();
 
         String rs = restTemplate.getForObject(uriComponents.toUri(), String.class);
@@ -278,10 +276,13 @@
         String json_repository = json_params.getString("repository");
         Repository repository = null;
         ObjectMapper mapper = new ObjectMapper();
+        mapper.disable(DeserializationFeature.FAIL_ON_UNK‌​NOWN_PROPERTIES);
         try {
+            LOGGER.debug("repository -> " + json_repository);
             repository = mapper.readValue(json_repository, Repository.class);
         } catch (Exception e) {
             LOGGER.debug("Error parsing repository ", e);
+            throw  e;
         }
 
         repository = this.setRepositoryFeatures(datatype,repository);
@@ -296,11 +297,11 @@
                     LOGGER.debug(retMessage);
                 } else {
                     LOGGER.debug(datatype + " " + repository.getOfficialName() + " is not in datasources. Inserting..");
-                    storeRepository(repository);
+                    this.storeRepository(repository);
                 }
             }
         } else {
-            // TODO call update method for register
+            this.updateRegisteredByValue(repository.getId(),repository.getRegisteredBy());
         }
 
         LOGGER.debug("Inserting Interfaces");
@@ -315,12 +316,24 @@
                     LOGGER.debug("updated successfully");
                 } else {
                     LOGGER.debug("adding new iface..");
-                    registerRepositoryInterface(repository.getId(),iFace,datatype);
+                    this.registerRepositoryInterface(repository.getId(),iFace,datatype);
                 }
             }
         }
     }
 
+    private void updateRegisteredByValue(String id, String registeredBy) {
+
+        LOGGER.debug("Updating registered by value with  : " + registeredBy );
+        UriComponents uriComponents = UriComponentsBuilder
+                .fromHttpUrl(baseAddress + "/ds/registeredBy/")
+                .queryParam("dsId",id)
+                .queryParam("registeredBy", registeredBy)
+                .build()
+                .encode();
+        restTemplate.postForObject(uriComponents.toUri(), null,String.class);
+    }
+
     private Repository setRepositoryFeatures(String datatype, Repository repository) {
 
         //TODO update map
@@ -460,7 +473,7 @@
         return registerRepositoryInterface(repoId,iFace,datatype);
     }
 
-    public RepositoryInterface registerRepositoryInterface(String repoId, RepositoryInterface iFace, String datatype) {
+    private RepositoryInterface registerRepositoryInterface(String repoId, RepositoryInterface iFace, String datatype) {
         Repository e = null;
         try {
             e = this.getRepositoryById(repoId);
@@ -514,7 +527,7 @@
                                     @RequestParam(value = "englishname")  String englishName) {
 
         UriComponents uriComponents = UriComponentsBuilder
-                .fromHttpUrl(baseAddress + "/ds/manage/")
+                .fromHttpUrl(baseAddress + "/ds/englishname/")
                 .queryParam("dsId",id)
                 .queryParam("englishname",englishName)
                 .build().encode();
@@ -528,7 +541,7 @@
                                  @RequestParam(value = "managed")  String latitude) {
 
         UriComponents uriComponents = UriComponentsBuilder
-                .fromHttpUrl(baseAddress + "/ds/manage/")
+                .fromHttpUrl(baseAddress + "/ds/latitude/")
                 .queryParam("dsId",id)
                 .queryParam("latitude",latitude)
                 .build().encode();
@@ -540,7 +553,7 @@
                                   @RequestParam(value = "longitude")  String longitude) {
 
         UriComponents uriComponents = UriComponentsBuilder
-                .fromHttpUrl(baseAddress + "/ds/manage/")
+                .fromHttpUrl(baseAddress + "/ds/longitude/")
                 .queryParam("dsId",id)
                 .queryParam("longitude",longitude)
                 .build().encode();
@@ -552,7 +565,7 @@
                                      @RequestParam(value = "officialname")  String officialname) {
 
         UriComponents uriComponents = UriComponentsBuilder
-                .fromHttpUrl(baseAddress + "/ds/manage/")
+                .fromHttpUrl(baseAddress + "/ds/officialname/")
                 .queryParam("dsId",id)
                 .queryParam("officialname",officialname)
                 .build().encode();
@@ -563,7 +576,7 @@
     public String updateTimezone(@RequestParam(value = "id")   String id,
                                  @RequestParam(value = "timezone")  String timezone) {
         UriComponents uriComponents = UriComponentsBuilder
-                .fromHttpUrl(baseAddress + "/ds/update/timezone")
+                .fromHttpUrl(baseAddress + "/ds/timezone")
                 .queryParam("dsId",id)
                 .queryParam("timezone",timezone)
                 .build().encode();
@@ -574,7 +587,7 @@
     public String updateTypology(@RequestParam(value = "id")   String id,
                                  @RequestParam(value = "typology")  String typology) {
         UriComponents uriComponents = UriComponentsBuilder
-                .fromHttpUrl(baseAddress + "/ds/update/typology")
+                .fromHttpUrl(baseAddress + "/ds/typology")
                 .queryParam("dsId",id)
                 .queryParam("typology",typology)
                 .build().encode();
@@ -585,7 +598,7 @@
     public String updateLogoUrl(@RequestParam(value = "id")   String id,
                                 @RequestParam(value = "logoUrl") String logoUrl) {
         UriComponents uriComponents = UriComponentsBuilder
-                .fromHttpUrl(baseAddress + "/ds/update/logourl")
+                .fromHttpUrl(baseAddress + "/ds/logourl")
                 .queryParam("dsId",id)
                 .queryParam("logourl",logoUrl)
                 .build().encode();
Index: modules/uoa-repository-manager-service/src/main/resources/application-context.xml
===================================================================
--- modules/uoa-repository-manager-service/src/main/resources/application-context.xml	(revision 49974)
+++ modules/uoa-repository-manager-service/src/main/resources/application-context.xml	(revision 49975)
@@ -9,7 +9,7 @@
 	http://www.springframework.org/schema/context/spring-context-4.0.xsd
 	http://www.springframework.org/schema/tx http://www.springframework.org/schema/tx/spring-tx.xsd">
 
-  <!--  <import resource="classpath:META-INF/cxf/cxf.xml"/>
+    <import resource="classpath:META-INF/cxf/cxf.xml"/>
     <import resource="classpath:META-INF/cxf/cxf-extension-jaxws.xml"/>
     <import resource="classpath:META-INF/cxf/cxf-servlet.xml"/>
     <import resource="classpath*:/cxf.xml"/>
@@ -23,7 +23,7 @@
     <import resource="classpath*:/eu/dnetlib/enabling/hcm/springContext-hcmService.xml"/>
     <import resource="classpath*:/gr/uoa/di/driver/app/springContext-commons.xml"/>
     <import resource="classpath*:/gr/uoa/di/driver/app/springContext-registrator.xml"/>
-    <import resource="classpath*:/eu/dnetlib/repos/springContext-repos-dms-cached.xml"/>-->
+    <import resource="classpath*:/eu/dnetlib/repos/springContext-repos-dms-cached.xml"/>
     <context:property-placeholder location="classpath*:/eu/**/application.properties" />
     <tx:annotation-driven transaction-manager="txManager"/>
 