Index: modules/uoa-repository-manager-service/src/main/java/eu/dnetlib/repo/manager/service/controllers/RepositoryApi.java
===================================================================
--- modules/uoa-repository-manager-service/src/main/java/eu/dnetlib/repo/manager/service/controllers/RepositoryApi.java	(revision 50074)
+++ modules/uoa-repository-manager-service/src/main/java/eu/dnetlib/repo/manager/service/controllers/RepositoryApi.java	(revision 50075)
@@ -8,10 +8,7 @@
 import io.swagger.annotations.Api;
 import org.json.JSONException;
 import org.springframework.http.MediaType;
-import org.springframework.web.bind.annotation.RequestMapping;
-import org.springframework.web.bind.annotation.RequestMethod;
-import org.springframework.web.bind.annotation.ResponseBody;
-import org.springframework.web.bind.annotation.RestController;
+import org.springframework.web.bind.annotation.*;
 
 import java.util.List;
 import java.util.Map;
@@ -70,8 +67,9 @@
     @RequestMapping(value = "/addRepository", method = RequestMethod.POST,
             consumes = MediaType.APPLICATION_JSON_VALUE)
     @ResponseBody
-    void addRepository( String params) throws Exception;
+    void addRepository( String datatype,Repository repository) throws Exception;
 
+
     @RequestMapping(value = "/deleteInterface", method = RequestMethod.DELETE)
     @ResponseBody
     void deleteRepositoryInterface(String id);
@@ -79,7 +77,9 @@
     @RequestMapping(value = "/addInterface", method = RequestMethod.POST,
             consumes = MediaType.APPLICATION_JSON_VALUE)
     @ResponseBody
-    RepositoryInterface addRepositoryInterface(String params) throws JSONException;
+    RepositoryInterface addRepositoryInterface(String datatype,
+                                               String repoId,
+                                               RepositoryInterface iFace) throws JSONException;
 
     @RequestMapping(value = "/getDnetCountries", method = RequestMethod.GET,
             produces = MediaType.APPLICATION_JSON_VALUE)
Index: modules/uoa-repository-manager-service/src/main/java/eu/dnetlib/repo/manager/service/controllers/RepositoryApiImpl.java
===================================================================
--- modules/uoa-repository-manager-service/src/main/java/eu/dnetlib/repo/manager/service/controllers/RepositoryApiImpl.java	(revision 50074)
+++ modules/uoa-repository-manager-service/src/main/java/eu/dnetlib/repo/manager/service/controllers/RepositoryApiImpl.java	(revision 50075)
@@ -29,6 +29,8 @@
 import org.springframework.web.util.UriComponentsBuilder;
 
 import javax.annotation.PostConstruct;
+import javax.ws.rs.Path;
+import javax.ws.rs.QueryParam;
 import java.io.IOException;
 import java.sql.Timestamp;
 import java.text.Normalizer;
@@ -175,8 +177,11 @@
                     .build().expand(page, size).encode();
             rs = restTemplate.getForObject(uriComponents.toUri(), String.class);
         }
-        for (Repository r : resultSet)
+        for (Repository r : resultSet){
+            r.setInterfaces(this.getRepositoryInterface(r.getId()));
             r.setCountryName(getCountryName(r.getCountryCode()));
+        }
+
         return resultSet;
     }
 
@@ -288,22 +293,23 @@
     }
 
     @Override
-    public void addRepository(@RequestBody String params) throws Exception {
+    public void addRepository(@RequestParam("datatype") String datatype,
+                              @RequestBody Repository repository) throws Exception {
 
-        JSONObject json_params = new JSONObject(params);
+        /*JSONObject json_params = new JSONObject(params);
         String datatype = json_params.getString("datatype");
         String json_repository = json_params.getString("repository");
-        Repository repository = null;
+        Repository repository = null;*/
         ObjectMapper mapper = new ObjectMapper();
         mapper.disable(DeserializationFeature.FAIL_ON_UNK‌​NOWN_PROPERTIES);
         try {
-            LOGGER.debug("repository -> " + json_repository);
-            repository = mapper.readValue(json_repository, Repository.class);
+            String json_repo = mapper.writerWithDefaultPrettyPrinter().writeValueAsString(repository);
+            LOGGER.debug("repository -> " + json_repo);
+          //  repository = mapper.readValue(json_repository, Repository.class);
         } catch (Exception e) {
             LOGGER.debug("Error parsing repository ", e);
             throw  e;
         }
-
         repository = this.setRepositoryFeatures(datatype,repository);
 
         LOGGER.debug("storing " + datatype + " repository with id: " + repository.getId());
@@ -320,7 +326,7 @@
                 }
             }
         } else {
-            this.updateRegisteredByValue(repository.getId(),repository.getRegisteredBy());
+            this.updateRepository(repository);
         }
 
         LOGGER.debug("Inserting Interfaces");
@@ -341,6 +347,14 @@
         }
     }
 
+    private void updateRepository(Repository repository) {
+        this.updateRegisteredByValue(repository.getId(),repository.getRegisteredBy());
+        this.updateEnglishName(repository.getId(),repository.getEnglishName());
+        this.updateLogoUrl(repository.getId(),repository.getLogoUrl());
+        this.updateTimezone(repository.getId(), String.valueOf(repository.getTimezone()));
+        //TODO update datasource type
+    }
+
     private void updateRegisteredByValue(String id, String registeredBy) {
 
         LOGGER.debug("Updating registered by value with  : " + registeredBy );
@@ -470,11 +484,12 @@
     }
 
     @Override
-    public RepositoryInterface addRepositoryInterface(@RequestBody String params) throws JSONException {
+    public RepositoryInterface addRepositoryInterface(@RequestParam("datatype") String datatype,
+                                                      @RequestParam("repoId") String repoId,
+                                                      @RequestBody RepositoryInterface repositoryInterface) throws JSONException {
 
-        JSONObject json_params = new JSONObject(params);
-
-        LOGGER.debug(params);
+     /*   JSONObject json_params = new JSONObject(params);
+       // LOGGER.debug(params);
         //TODO iFace parameter from gui. Object to json
         String datatype = json_params.getString("datatype");
         String repoId = json_params.getString("repoId");
@@ -486,9 +501,8 @@
             iFace = mapper.readValue(json_iFace, RepositoryInterface.class);
         } catch (Exception e1) {
             LOGGER.debug("Error parsing repository interface ", e1);
-        }
-
-        return registerRepositoryInterface(repoId,iFace,datatype);
+        }*/
+        return registerRepositoryInterface(repoId,repositoryInterface,datatype);
     }
 
     private RepositoryInterface registerRepositoryInterface(String repoId, RepositoryInterface iFace, String datatype) {
Index: modules/uoa-repository-manager-service/src/main/webapp/WEB-INF/applicationContext.xml
===================================================================
--- modules/uoa-repository-manager-service/src/main/webapp/WEB-INF/applicationContext.xml	(revision 50074)
+++ modules/uoa-repository-manager-service/src/main/webapp/WEB-INF/applicationContext.xml	(revision 50075)
@@ -14,7 +14,7 @@
 
     <!-- <import resource="classpath:META-INF/cxf/cxf-extension-soap.xml"/>-->
 
-      <import resource="classpath:META-INF/cxf/cxf.xml"/>
+    <import resource="classpath:META-INF/cxf/cxf.xml"/>
 
      <import resource="classpath:META-INF/cxf/cxf-extension-jaxws.xml"/>
      <import resource="classpath:META-INF/cxf/cxf-servlet.xml"/>
@@ -31,7 +31,6 @@
      <import resource="classpath*:/gr/uoa/di/driver/app/springContext-registrator.xml"/>
 
      <import resource="classpath*:/eu/dnetlib/repos/springContext-repos-dms-cached.xml"/>
-
     <context:property-placeholder location="classpath*:/eu/**/application.properties" />
 
     <bean class="eu.dnetlib.repo.manager.service.config.CascadingPropertyLoader" id="propertyLoader">
@@ -91,4 +90,4 @@
     <mvc:resources mapping="swagger-ui.html" location="classpath:/META-INF/resources/"/>
     <mvc:resources mapping="/webjars/**" location="classpath:/META-INF/resources/webjars/"/>
     <bean class="eu.dnetlib.repo.manager.service.config.SwaggerConfig"/>
-</beans>
\ No newline at end of file
+</beans>
Index: modules/uoa-repository-manager-service/pom.xml
===================================================================
--- modules/uoa-repository-manager-service/pom.xml	(revision 50074)
+++ modules/uoa-repository-manager-service/pom.xml	(revision 50075)
@@ -35,10 +35,10 @@
                     <failOnMissingWebXml>false</failOnMissingWebXml>
                 </configuration>
             </plugin>
-           <!-- <plugin>
+            <!--<plugin>
                 <groupId>cz.habarta.typescript-generator</groupId>
                 <artifactId>typescript-generator-maven-plugin</artifactId>
-                <version>1.27.339</version>
+                <version>1.29.366</version>
                 <executions>
                     <execution>
                         <id>generate1</id>
@@ -214,16 +214,17 @@
         <dependency>
             <groupId>io.springfox</groupId>
             <artifactId>springfox-swagger-ui</artifactId>
-            <version>2.7.1-SNAPSHOT</version>
+            <version>2.7.0</version>
         </dependency>
+
+        <!-- https://mvnrepository.com/artifact/cz.habarta.typescript-generator/typescript-generator-maven-plugin -->
+        <dependency>
+            <groupId>cz.habarta.typescript-generator</groupId>
+            <artifactId>typescript-generator-maven-plugin</artifactId>
+            <version>1.29.366</version>
+        </dependency>
+
+
     </dependencies>
 
-    <repositories>
-        <repository>
-            <id>jcenter-snapshots</id>
-            <name>jcenter</name>
-            <url>http://oss.jfrog.org/artifactory/oss-snapshot-local/</url>
-        </repository>
-    </repositories>
-
-</project>
\ No newline at end of file
+</project>